<!DOCTYPE html>
<html>
<head>
  <title>Kole Map Preview</title>
  <meta charset="utf-8" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.2/leaflet.css" integrity="sha256-kppfhjLcF3Ed3khcHaHHlVnM8SzDTOzpx4vkSnDUUx0=" crossorigin="anonymous" />
  <link href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/themes/smoothness/jquery-ui.min.css" rel="stylesheet" type="text/css"/>
  <style type="text/css">
    #basemapslidercontainer {
      position: absolute;
      top: 50px;
      right: 10px;
      z-index: 1000;
    }

    #basemapslider{
      font-size:62.5%;
      margin: 14px;
      height: 125px;
      width:7px;
    }

html, body {
  height:98%;
}
 #map {
  height: 100%;
}
  </style>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/leaflet/0.7.2/leaflet.js" integrity="sha256-1hHchk2YZRU3q3uLkcRRJZngLf3qY/+9V/W0AkD2uqY=" crossorigin="anonymous"></script>
  <script>
    $(document).ready(function () {
      $("#basemapslider").slider({
            animate: true,
            value: 1,
            orientation: "vertical",
            min: 0,
            max: 1,
            step: 0.1,
            slide: function (event, ui) {
                mytile.setOpacity(ui.value);
            }
       });

        $('#basemapslider').mousedown(function(){
          map.dragging.disable();
        })

        $('#basemapslider').mouseup(function(){
          map.dragging.enable();
        })

      var map = L.map('map').setView([10.5144781006, 76.138472782], 17);
      var baselayer = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
        maxZoom: 21,
        attribution: 'Map data &copy; <a href="https://openstreetmap.org/copyright">OpenStreetMap</a> contributors'
      }).addTo(map);

      var mytile =L.tileLayer('https://kolemap.icfoss.org/Mapnik/{z}/{x}/{y}.png', {
        maxZoom: 21,
        tms: false,
        attribution: 'Map data &copy; <a href="https://icfoss.in">ICFOSS</a> Generated by QTiles'
      }).addTo(map);

      L.control.layers({'Basemap':baselayer},{'Mapnik':mytile}).addTo(map);
    })
  </script>
</head>
<body>
  <div id="map">
    <div id="basemapslidercontainer">
      <div id="basemapslider">
    </div>
  </div>
  </div>
</body>
</html>
